Bug 1431865 - [Regression] Service Chargeback costs not displayed on SSUI dashboard
Summary: [Regression] Service Chargeback costs not displayed on SSUI dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Nandini Chandra
URL:
Whiteboard: ssui:chargeback
: 1432601 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 21:55 UTC by Nandini Chandra
Modified: 2017-05-31 14:41 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of service Chargeback cost on SUI Dashboard in 5.7 (37.88 KB, image/png)
2017-03-15 18:06 UTC, Nandini Chandra
no flags Details
Screen shot of service Chargeback cost on SUI Dashboard in 5.8 (53.00 KB, image/png)
2017-03-15 18:09 UTC, Nandini Chandra
no flags Details
chageback data in 5.8 (81.97 KB, image/png)
2017-03-24 16:42 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Nandini Chandra 2017-03-13 21:55:50 UTC
Description of problem:
-----------------------
Service Chargeback costs are not displayed in SSUI. 

I have verified that the Chargeback data is coming from the API.I was not able to test Chargeback costs in 5.8.0.2 since I was unable to provision services through SSUI due to a bug.

https://xx.yy.zz.aa/api/services/1?attributes=chargeback_report

{"href":"https://xx.yy.zz.aa/api/services/1","id":1,"name":"nan-multiple-vms-20170306-185330","description":"nan-multiple-vms","guid":"0c8ceb5e-02c8-11e7-abe0-fa163e9e134e","service_template_id":1,"options":{"dialog":{"dialog_nan_element":"f"},"power_status":"stop_complete"},"display":false,"created_at":"2017-03-06T23:53:08Z","updated_at":"2017-03-07T05:14:24Z","evm_owner_id":1,"miq_group_id":2,"retired":false,"tenant_id":1,

"chargeback_report":{"results":[{"start_date":"2017-03-01T00:00:00.000Z","display_range":"Mar 2017","vm_id":395,"vm_name":"nchandr-583-s001","cpu_allocated_cost":143.0,"cpu_used_metric":29.016336298204507,"cpu_used_cost":82.9867218128649,"memory_used_metric":42.73285088942209,"memory_used_cost":122.21595354374718,"disk_io_used_metric":3.604206740860239,"disk_io_used_cost":2.577007819715071,"net_io_used_metric":0.13683005386916036,"net_io_used_cost":71.5,"storage_allocated_metric":21474836480.0,"storage_allocated_cost":"143.0","storage_used_metric":21775183843.356644,"storage_used_cost":"5799.999999999999105930328369140625"},


Version-Release number of selected component (if applicable):
-------------------------------------
5.8.0.3


How reproducible:
-----------------
Always


Steps to Reproduce:
------------------
1.Create service in admin UI
2.Provision this service in SSUI
3.Let services run for at least 1 day.


Actual results:
---------------
Service Chargeback costs not displayed in SSUI.


Expected results:
-----------------
Service Chargeback costs should be displayed in SSUI.


Additional info:
----------------

Comment 2 Chris Kacerguis 2017-03-14 15:13:24 UTC
Could you please provide a screenshot from when the chargeback was previous showing, and one where it is not showing?

Comment 3 Chris Kacerguis 2017-03-15 16:30:40 UTC
Allen - While we are waiting on info, can you please take a look at this to see if we have missed something?

Comment 4 Nandini Chandra 2017-03-15 18:06:18 UTC
Created attachment 1263416 [details]
Screen shot of service Chargeback cost on SUI Dashboard in 5.7

Comment 5 Nandini Chandra 2017-03-15 18:09:56 UTC
Created attachment 1263417 [details]
Screen shot of service Chargeback cost on SUI Dashboard in 5.8

Comment 6 Chris Kacerguis 2017-03-15 18:27:26 UTC
*** Bug 1432601 has been marked as a duplicate of this bug. ***

Comment 7 Allen W 2017-03-16 16:37:19 UTC
(In reply to Nandini Chandra from comment #5)
> Created attachment 1263417 [details]
> Screen shot of service Chargeback cost on SUI Dashboard in 5.8

I gotta thank you Nandini for an extremely thorough report. The object you posted in the description tells us all we need to know, some of the costs in the report were recorded as strings, while others as type number. Fix incoming!

Comment 8 Allen W 2017-03-16 16:51:59 UTC
As promised: https://github.com/ManageIQ/manageiq-ui-service/pull/591

Comment 9 Shveta 2017-03-24 16:42:16 UTC
Created attachment 1266206 [details]
chageback data in 5.8

Comment 10 Shveta 2017-03-24 16:43:05 UTC
Verified in 5.8.0.7.20170321164727_1c97ccd

Comment 12 errata-xmlrpc 2017-05-31 14:41:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.